TICKIT_WINDOW_GET_GEOMETRY(3)

NAME
tickit_window_get_geometry - query the size and position of a window

SYNOPSIS
    #include <tickit.h>

    TickitRect tickit_window_get_geometry(const TickitWindow *win);

    int tickit_window_top(const TickitWindow *win);
    int tickit_window_left(const TickitWindow *win);
    int tickit_window_lines(const TickitWindow *win);
    int tickit_window_cols(const TickitWindow *win);

    int tickit_window_bottom(const TickitWindow *win);
    int tickit_window_right(const TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_get_geometry() returns the size and position within its immediate parent of the given window. When invoked on a root window, its top left corner will be at zero, and its size will give the size of the underlying terminal.

The four convenience accessors return the four fields of the rectangle structure immediately. They may be implemented as macros.

tickit_window_bottom() gives the line number in the parent where the window stops (i.e. the first line after its content). tickit_window_right() gives the column number in the parent where the window stops.

RETURN VALUE
tickit_window_get_geometry() returns a TickitRect structure. The other functions return integers.

SEE ALSO
tickit_window_new(3), tickit_window_get_abs_geometry(3), tickit_window_set_geometry(3), tickit_window(7), tickit_rect(7), tickit(7)